Loading...
Searching...
No Matches
attr_data Struct Reference

Data type for storing attribute value in each instance. More...

`#include <kdumpfile-priv.h>`

## Data Fields

struct attr_data * | next
struct attr_data * | parent
const struct attr_template * | template
struct attr_flags | flags
| Attribute value flags.
struct attr_template_flags | tflags
| Attribute template flags.
union { |
kdump_attr_value_t val |
struct attr_data * dir |
| For `KDUMP_DIRECTORY`.
kdump_attr_value_t * pval |
| Pointer to indirect value.
}; |  |
struct hlist_node | list
| Hash table element node.

## Detailed Description

Data type for storing attribute value in each instance.

Note that this structure does not include type, because it must be equal to the template type.

The documentation for this struct was generated from the following file:

- src/kdumpfile/kdumpfile-priv.h